package ru.yandex.autotests.direct.integration;

import ru.yandex.qatools.properties.PropertyLoader;
import ru.yandex.qatools.properties.annotations.Property;
import ru.yandex.qatools.properties.annotations.Resource;

/**
 * Created by pashkus on 14.07.15.
 */

@Deprecated
@Resource.Classpath("yabs.properties")
public class YabsProperties {
    public static YabsProperties properties;

    @Property("yabsaudit.host")
    private String auditHost = "yabs.yandex.ru";

    @Property("yabsbssoap.host")
    private String bssoapHost = "bssoap.yandex.ru";

    @Property("yabsaudit.port")
    private Integer auditPort = 6001;

    @Property("yabsaudit.header.host")
    private String auditHeaderHost = "yabs.yandex.ru";

    @Property("collectors.path")
    private String collectorsPath = "/home/yabs/stat";

    @Property("yabsaudit.login")
    private String sshLogin = "root";

    @Property("yabsaudit.password")
    private String sshPassword = "nimbula";

    public static YabsProperties getInstance() {
        if (properties == null) {
            properties = new YabsProperties();
        }
        return properties;
    }

    public YabsProperties() {
        PropertyLoader.populate(this);
    }

    public String getAuditHost() { return this.auditHost; }

    public String getBssoapHost() { return this.bssoapHost; }

    public Integer getAuditPort() { return this.auditPort; }

    public String getCollectorsPath() { return this.collectorsPath; }

    public String getAuditHeaderHost() { return  this.auditHeaderHost; }

    public String getSshLogin() {
        return this.sshLogin;
    }

    public String getSshPassword() {
        return this.sshPassword;
    }
}
